Subject: Re: Cygwin /dev/null problem or perl 5.8.0 problem? (was: Re: autom4te and perl 5.8.0)
From: "H.Merijn Brand" <[email-masked]>
To: "Gerrit @ cygwin" <[email-masked]>
Cc: Perl 5 Porters <[email-masked]>
Date: Wed, 19 Jun 2002 23:35:44 +0200

On Wed 19 Jun 2002 23:28, "Gerrit P. Haase" <[email-masked]> wrote:
> Hallo Conrad,
> 
> Am Mittwoch, 19. Juni 2002 um 23:18 schriebst du:
> 
> > "Gerrit P. Haase" <[email-masked]> wrote:
> 
> Segfaulting with perl 5.8.0 on Cygwin:
> 
>  use IO::File;
>  my $out = new IO::File;
>  $out->open("/dev/null", O_CREAT | O_WRONLY | O_TRUNC, 0666);
> 
> >> Can someone please test it with perl 5.6.1 on Cygwin?  I haven't
> >> installed it anymore...
> 
> > It runs w/o segfaulting with perl 5.6.1 under a development version of
> > cygwin on a win2k box if that's any use to you.
> 
> Yes, thanks, then there is s.th. wrong with perl 5.8.0 (at least the
> Cygwin version I built).
> 
> I have the testscript attached, please test on other platforms too.

cygwin-64int@17265 crashes too

Exception: STATUS_ACCESS_VIOLATION at eip=100F9AB8
eax=00000000 ebx=100F9984 ecx=101F72E0 edx=10117090 esi=00000000 edi=00000002
ebp=0022F9F4 esp=0022F9CC program=C:\Cygwin\pro\bin\perl.exe
cs=001B ds=0023 es=0023 fs=003B gs=0000 ss=0023
Stack trace:
Frame     Function  Args
0022F9F4  100F9AB8  (10116650, 10159908, 00000000, 00000000)
0022FA54  100FADB2  (10116850, 10159908, 00000001, 00000000)
0022FAC4  100F845D  (00000000, 0022FC2C, 00000003, 00000000)
0022FC64  100D73F9  (1025C82C, 101F7268, 00000009, 00000001)
0022FCA4  100D59CE  (1025C82C, 101F7268, 00000009, 00000001)
0022FD04  100C4DD6  (100646EC, 00000000, 10151080, 101512C0)
0022FD24  1006481B  (00000004, 610A0368, 0022FE74, 100029E4)
0022FD44  100046B5  (00000001, 00000000, 0022FE5C, 1000AAA7)
0022FE84  100041F5  (10150330, 10150330, 0022FEB4, 00401079)
0022FEB4  004010FF  (00000002, 61560448, 10150278, 00000000)
0022FF10  61003F42  (00000000, 00000000, 0A023040, 81BFF940)
0022FF40  61004236  (00401050, 0A023040, 81B7CDA0, 00000000)
0022FF60  61004275  (00000000, 00000000, 81B7CF30, 00000005)
0022FF90  004027FB  (00401050, FFFFFFFF, 80430D77, 00000000)
0022FFC0  0040103D  (0A023040, 0022F6D8, 7FFDF000, 00000000)
0022FFF0  77E8D326  (00401000, 00000000, 000000C8, 00000100)
End of stack trace (more stack frames may be present)

ActiveState-632 does not crash
Cygwin-5.6.1 does not crash

-- 
H.Merijn Brand        Amsterdam Perl Mongers (http://amsterdam.pm.org/)
using perl-5.6.1, 5.8.0 & 632 on HP-UX 10.20 & 11.00, AIX 4.2, AIX 4.3,
  WinNT 4, Win2K pro & WinCE 2.11.  Smoking perl CORE: [email-masked]
http://archives.develooper.com/[email-masked]/   [email-masked]
send smoke reports to: [email-masked], QA: http://qa.perl.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/